using System.Text.Json.Serialization;
using NexusReader.Application.Queries.Graph;

namespace NexusReader.Application.Common;

[JsonSourceGenerationOptions(WriteIndented = true)]
[JsonSerializable(typeof(GraphNodeDto))]
[JsonSerializable(typeof(GraphLinkDto))]
[JsonSerializable(typeof(GraphDataDto))]
[JsonSerializable(typeof(List<GraphNodeDto>))]
[JsonSerializable(typeof(List<GraphLinkDto>))]
public partial class AppJsonContext : JsonSerializerContext
{
}
